#!/usr/bin/tclsh
#
# xL-genrefind v1.1
#
# (C) 2003 xoLax

bind pub -|- !grfind grfind

proc grfind {nick uhost handle chan arg} {
 set binary {/glftpd/bin/xl-genrefind.sh}
 set section [lindex $arg 0]
 set genre [lindex $arg 1]
 set rating [lindex $arg 2]
 set votes [lindex $arg 3]
 set hits [lindex $arg 4]
 set year [lindex $arg 5]
 if { [llength $arg] == 3 } {
   putquick "PRIVMSG $chan :Searching \002$section\002 for \002$genre\002 movies with user rating \002$rating\002. Sending result to $nick"
 }
 if { [llength $arg] == 4 || [llength $arg] == 5 } {
   putquick "PRIVMSG $chan :Searching \002$section\002 for \002$genre\002 movies with user rating \002$rating\002 ($votes\+\ votes). Sending result to $nick"
 }
 if { [llength $arg] == 6 } {
   putquick "PRIVMSG $chan :Searching \002$section\002 for \002$year\002+ \002$genre\002 movies with user rating \002$rating\002 ($votes). Sending result to $nick"
 }
      
 foreach line [split [exec $binary $section $genre $rating $votes $hits $year] "\n"] {
   putquick "PRIVMSG $nick :$line"
 }
}

putlog "xL-genrefind v1.1 by xoLax loaded"



